Android-gif-drawable CVE-2019-11932 Double Free Remote Code Execution Vulnerability

2019-10-04T00:00:00
ID SMNTC-110323
Type symantec
Reporter Symantec Security Response
Modified 2019-10-04T00:00:00

Description

Description

Android-gif-drawable is prone to a remote code execution vulnerability. Attackers may leverage this issue to execute arbitrary code in the context of the device. Failed attacks will cause denial-of-service conditions.

Technologies Affected

  • Google Android 8.1
  • Google Android 9.0
  • Karol Wrótniak android-gif-drawable 1.2.0
  • Karol Wrótniak android-gif-drawable 1.2.10
  • Karol Wrótniak android-gif-drawable 1.2.13
  • Karol Wrótniak android-gif-drawable 1.2.15
  • Karol Wrótniak android-gif-drawable 1.2.17
  • WhatsApp Inc. WhatsApp for Android 2.18.225
  • WhatsApp Inc. WhatsApp for Android 2.18.239
  • WhatsApp Inc. WhatsApp for Android 2.18.247
  • WhatsApp Inc. WhatsApp for Android 2.18.248
  • WhatsApp Inc. WhatsApp for Android 2.18.257
  • WhatsApp Inc. WhatsApp for Android 2.18.264
  • WhatsApp Inc. WhatsApp for Android 2.18.267
  • WhatsApp Inc. WhatsApp for Android 2.18.273
  • WhatsApp Inc. WhatsApp for Android 2.18.276
  • WhatsApp Inc. WhatsApp for Android 2.19.133
  • WhatsApp Inc. WhatsApp for Android 2.19.134
  • WhatsApp Inc. WhatsApp for Android 2.19.143
  • WhatsApp Inc. WhatsApp for Android 2.19.230

Recommendations

Deploy network intrusion detection systems to monitor network traffic for malicious activity.
Deploy NIDS to monitor network traffic for signs of anomalous or suspicious activity. This includes but is not limited to requests that include NOP sleds and unexplained incoming and outgoing traffic. This may indicate exploit attempts or activity that results from successful exploits.

Do not accept or execute files from untrusted or unknown sources.
To reduce the likelihood of successful exploits, do not open files that originate from untrusted sources.

Implement multiple redundant layers of security.
Memory-protection schemes (such as nonexecutable stack and heap configurations and randomly mapped memory segments) will complicate exploits of memory-corruption vulnerabilities.

Updates are available. Please see the references or vendor advisory for more information.